﻿using System;
using System.Threading;
using Wisej.Web;

namespace WebApplication1
{
    public partial class MyDesktop : Desktop
    {
        private RadWebScheduler Host;
        public MyDesktop()
        {
            InitializeComponent();
        }

        private void MyDesktop_Load(object sender, EventArgs e)
        {
            Host = new RadWebScheduler();
            Host.Dock = DockStyle.Fill;
            Host.Load += Host_Load;
            this.panel1.Controls.Add(Host);
        }

        private void Host_Load(object sender, EventArgs e)
        {
            Host.WrappedControl.Skin = "Metro";
            Host.WrappedControl.RenderMode = Telerik.Web.UI.RenderMode.Lightweight;          
            Host.WrappedControl.AppointmentUpdate += WrappedControl_AppointmentUpdate;
            Host.WrappedControl.DataEndField = "EstimatedEndTime";
            Host.WrappedControl.DataKeyField = "ID";
            Host.WrappedControl.DataStartField = "StartTime";
            Host.WrappedControl.DataSubjectField = "TaskName";
            Host.WrappedControl.DataDescriptionField = "Comment";

            if (!Host.IsPostBack)
            {
                Host.WrappedControl.InsertAppointment(new Telerik.Web.UI.Appointment("1", DateTime.Now, DateTime.Now.AddHours(2), "test"));
            }
        }

        private void WrappedControl_AppointmentUpdate(object sender, Telerik.Web.UI.AppointmentUpdateEventArgs e)
        {
            int x = 0;
        }
    }
}
